Here's what I like about gems, I can have multiple versions installed
parallel and on top of that I can unpack them into vendor/.

Why can't I do that with the ruby versions. I have projects using 1.8 as
well as  some using 1.9 on my development machine as well as on my
server. I don't have the time to bring all 1.8s up to 1.9, besides they
run fine as they are now. And using both versions under ubuntu is a lot
of work.

I really like gem for breaking the staleness of package managers and
being easy to use on all operating systems, but why isn't ruby just a
gem?

Any thoughts on this?

Tick
-- 
Posted via http://www.ruby-forum.com/.